<?php
/*
 * @package Recent Forum Topics
 * @version 2.0
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2015, Pipke
 * @All rights reserved. 
 * @This SMF modification is subject to the BSD 2-Clause License
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $modSettings, $smcFunc;
// Adding default mod settings to the database

	$smcFunc['db_query']('', '
		INSERT IGNORE INTO {db_prefix}settings
		VALUES ("rft_boost_1", "0")',
		array()
	);
	$smcFunc['db_query']('', '
		INSERT IGNORE INTO {db_prefix}settings
		VALUES ("rft_boost_2", "0")',
		array()
	);
	$smcFunc['db_query']('', '
		INSERT IGNORE INTO {db_prefix}settings
		VALUES ("rft_sp_activated", "0")',
		array()
	);
	$smcFunc['db_query']('', '
		INSERT IGNORE INTO {db_prefix}settings
		VALUES ("rft_sp_block", "0")',
		array()
	);
	
	$mod_settings = array(
		'rft_enable' => 0,
		'rft_numbertopics' => 5,
		'rft_subject_topics' => 'last',
		'rft_link_topics' => 'last',
		'rft_disable_smfrecentposts' => 1,
		'rft_link_topics' => 'last',
		'rft_linktree' => 1,
		'rft_border' => 1,
		'rft_collapse_block' => 0,
		'rft_maxtopics'=> 100,
		'rft_color_boost' => 'FBCFBC',
		'rft_trimnumbers' => 'full', // 80
		'rft_postlinkicon' => 'both', 
		'rft_relative_date' => 1,
		'rft_avatar' => 'both', 
		'rft_avatar_layout' => 1,
		'rft_menubuttons' => 1, 
		'rft_postingicons' => 1,
		'rft_topic_solved' => 0,
		'rft_simpleportal' => 0,
		'rft_simpleportal_activate' => 0,
		'rft_set_areas' => 'stop',
		'rft_temp_area' => 'temp',
		'rft_above_areas' => 'a:0:{}',
		'rft_below_areas' => 'a:0:{}',	
		'rft_area_placement_where' => 'above_only',
		'rft_area_placement_backup' => 'above_only',
		'rft_area_placement' => 'select_all_pages',
		'rft_note_counter' => 1,
		'rft_note_setting' => 1,
		'rft_note_button' => 1,
		'rft_note_messages' => false,
		);

	updateSettings($mod_settings);

$hooks = array(
	'integrate_pre_include' => '$sourcedir/Subs-RecentForumTopics.php',
	'integrate_load_permissions' => 'rft_permissions',
	'integrate_actions' => 'rft_blockarea',
	'integrate_modify_modifications' => 'rft_mod_settings',
	'integrate_admin_areas' => 'rft_mod_admin',
	'integrate_load_theme' => 'rft_load_themes',
	'integrate_menu_buttons' => 'rft_copyright',
	);

foreach ($hooks as $hook => $function)
	add_integration_function($hook, $function);
	
?>